(defun c:1500(/ dim_ver e ent pt13 pt14 pthis1 pthis2 tt1 tt2 tt3 tt4 tt5 tt6 na naa)
(initget (+ 1 2 4))
(setq tt1 1500)
(setq e (entsel “nPick dimension to divide : “))
(setq ent (entget (car e)))
(setq pt13 (cdr (assoc 13 ent)))
(setq pt14 (cdr (assoc 14 ent)))
(setq pthis1 (rtos (distance pt13 pt14) 2 0))
(setq pthis2 (atof pthis1))
(setq tt2 (/ pthis2 tt1))
(setq tt3 (itoa tt1) tt4 (rtos tt2 2 0))
(setq tt6 “@” tt7 “=” tt8 “<>“)
(setq tt5(strcat tt4 tt6 tt3 tt7 tt8))
(setq na (rem pthis2 tt1))
(setq naa (rtos na 2 0))
;(if 구문을 넣어라 “만약에 나누어 떨어지지않는다면…”)
(if (/= na 0)
(progn
(princ (strcat naa “만큼의 짜투리가 생겨요.”))(princ)
)
(progn
(command “DIM” “NEW” tt5 e “” “EXIT” )
)
)
)
예전에 어떤 분께서 올려주신 철근 dim 관련 리습인데요. 이걸 숫자만 고쳐서 사용하고 있거든요. 그런데 지금 1500 이란 숫자에 콤마를 넣고 싶어서요.
그러니까 지금 3@1500=4,500 이렇게 표시 되는 것을 3@1,500=4,500 이렇게 나오게 고쳐주세요.
아니면 더 좋은 리습 있으면 올려주심 더욱 고맙겠습니다. 부탁드립니다.
이렇게 부탁할 때마다 미안해서 글 올리기 힘드네요…ㅠㅠ